| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::FilterCoordinator Class Reference

`#include <FilterCoordinator.hpp>`

## Public Member Functions
void | closeFilter (GlobalHandle filt)

## Public Attributes
std::vector< FilterInfo * > | sourceFilters
| ordered set of source operators
FilterInfo * | destFilter = nullptr
| the destination operator handle
std::vector< FilterInfo * > | allSourceFilters
| storage for all the source filters before sorting
std::vector< FilterInfo * > | cloningDestFilters
| storage for cloning destination filters
bool | hasSourceFilters = false
| indicator that an endpoint has source filters
bool | hasDestFilters = false
| indicator that an endpoint has a destination filter
int | ongoingSourceTransactions
| counter for the number of filtered message returns expected More...
int | ongoingDestTransactions
| counter for the number of filtered message returns expected on Destination More...

## Detailed Description

data class to manage the ordering of filter operations for an endpoint

thread safety for this class must be managed externally

## Member Function Documentation

## ◆ closeFilter()

void helics::FilterCoordinator::closeFilter | ( | GlobalHandle | filt | ) |

make a filter as closed within the coordinator

References allSourceFilters, cloningDestFilters, helics::FilterInfo::core_id, destFilter, helics::disconnected_flag, helics::GlobalHandle::fed_id, helics::FilterInfo::handle, helics::GlobalHandle::handle, and helics::setActionFlag().

## Member Data Documentation

## ◆ ongoingDestTransactions

int helics::FilterCoordinator::ongoingDestTransactions

Initial value:
=
0

counter for the number of filtered message returns expected on Destination

## ◆ ongoingSourceTransactions

int helics::FilterCoordinator::ongoingSourceTransactions

Initial value:
=
0

counter for the number of filtered message returns expected

The documentation for this class was generated from the following files:

- FilterCoordinator.hpp
- FilterCoordinator.cpp